# FoundationClasses
TKernel
TColStd

# TColStd_StackIteratorOfStackOfTransient Class Reference

`#include <TColStd_StackIteratorOfStackOfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_StackIteratorOfStackOfTransient ()
Standard_EXPORT | TColStd_StackIteratorOfStackOfTransient (const TColStd_StackOfTransient &S)
Standard_EXPORT void | Initialize (const TColStd_StackOfTransient &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_StackIteratorOfStackOfTransient::TColStd_StackIteratorOfStackOfTransient | ( |  | ) |

Standard_EXPORT TColStd_StackIteratorOfStackOfTransient::TColStd_StackIteratorOfStackOfTransient | ( | const TColStd_StackOfTransient & | S | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_StackIteratorOfStackOfTransient::Initialize | ( | const TColStd_StackOfTransient & | S | ) |

Standard_Boolean TColStd_StackIteratorOfStackOfTransient::More | ( |  | ) | const

Standard_EXPORT void TColStd_StackIteratorOfStackOfTransient::Next | ( |  | ) |

void TColStd_StackIteratorOfStackOfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_StackIteratorOfStackOfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_StackIteratorOfStackOfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& TColStd_StackIteratorOfStackOfTransient::Value | ( |  | ) | const

## Field Documentation

Standard_Address TColStd_StackIteratorOfStackOfTransient::current `[private]`

The documentation for this class was generated from the following file:

- TColStd_StackIteratorOfStackOfTransient.hxx